## freefilesync 10.14

=== FreeFileSync/Source/Makefile ===
EXENAME = FreeFileSync_$(shell arch)

CXXFLAGS = -std=c++2a -pipe -DWXINTL_NO_GETTEXT_MACRO -DLIBSSH2_OPENSSL -I../.. -I../../zenXml -include "zen/i18n.h" -include "zen/warn_static.h" \
           -Wall -Wfatal-errors -Wmissing-include-dirs -Wswitch-enum -Wcast-align -Wshadow -Wnon-virtual-dtor \
           -O3 -DNDEBUG `wx-config --cxxflags --debug=no` -pthread

LINKFLAGS = -s -no-pie `wx-config --libs std, aui --debug=no` -pthread


CXXFLAGS  += `pkg-config --cflags openssl`
LINKFLAGS += `pkg-config --libs   openssl`

CXXFLAGS  += `pkg-config --cflags libcurl`
LINKFLAGS += `pkg-config --libs   libcurl`

CXXFLAGS  += `pkg-config --cflags libssh2`
LINKFLAGS += `pkg-config --libs   libssh2`

CXXFLAGS  += `pkg-config --cflags gtk+-2.0`
LINKFLAGS += `pkg-config --libs   gtk+-2.0`
#treat as system headers so that warnings are hidden:
CXXFLAGS  += -isystem/usr/include/gtk-2.0

#support for SELinux (optional)
SELINUX_EXISTING=$(shell pkg-config --exists libselinux && echo YES)
ifeq ($(SELINUX_EXISTING),YES)
CXXFLAGS  += `pkg-config --cflags libselinux` -DHAVE_SELINUX
LINKFLAGS += `pkg-config --libs libselinux`
endif

#support for Ubuntu Unity (optional)
UNITY_EXISTING=$(shell pkg-config --exists unity && echo YES)
ifeq ($(UNITY_EXISTING),YES)
CXXFLAGS  += `pkg-config --cflags unity` -DHAVE_UBUNTU_UNITY
LINKFLAGS += `pkg-config --libs unity`
endif

CPP_FILES=
CPP_FILES+=base/algorithm.cpp
CPP_FILES+=base/application.cpp
CPP_FILES+=base/binary.cpp
CPP_FILES+=base/comparison.cpp
CPP_FILES+=base/config.cpp
CPP_FILES+=base/db_file.cpp
CPP_FILES+=base/dir_lock.cpp
CPP_FILES+=base/ffs_paths.cpp
CPP_FILES+=base/file_hierarchy.cpp
CPP_FILES+=base/generate_logfile.cpp
CPP_FILES+=base/icon_buffer.cpp
CPP_FILES+=base/icon_loader.cpp
CPP_FILES+=base/localization.cpp
CPP_FILES+=base/parallel_scan.cpp
CPP_FILES+=base/path_filter.cpp
CPP_FILES+=base/perf_check.cpp
CPP_FILES+=base/resolve_path.cpp
CPP_FILES+=base/status_handler.cpp
CPP_FILES+=base/structures.cpp
CPP_FILES+=base/synchronization.cpp
CPP_FILES+=base/versioning.cpp
CPP_FILES+=afs/abstract.cpp
CPP_FILES+=afs/concrete.cpp
CPP_FILES+=afs/ftp.cpp
CPP_FILES+=afs/gdrive.cpp
CPP_FILES+=afs/init_curl_libssh2.cpp
CPP_FILES+=afs/native.cpp
CPP_FILES+=afs/sftp.cpp
CPP_FILES+=afs/libssh2/init_libssh2.cpp
CPP_FILES+=afs/libssh2/init_open_ssl.cpp
CPP_FILES+=ui/batch_config.cpp
CPP_FILES+=ui/abstract_folder_picker.cpp
CPP_FILES+=ui/batch_status_handler.cpp
CPP_FILES+=ui/cfg_grid.cpp
CPP_FILES+=ui/command_box.cpp
CPP_FILES+=ui/folder_history_box.cpp
CPP_FILES+=ui/folder_selector.cpp
CPP_FILES+=ui/file_grid.cpp
CPP_FILES+=ui/file_view.cpp
CPP_FILES+=ui/log_panel.cpp
CPP_FILES+=ui/tree_grid.cpp
CPP_FILES+=ui/gui_generated.cpp
CPP_FILES+=ui/gui_status_handler.cpp
CPP_FILES+=ui/main_dlg.cpp
CPP_FILES+=ui/progress_indicator.cpp
CPP_FILES+=ui/search_grid.cpp
CPP_FILES+=ui/small_dlgs.cpp
CPP_FILES+=ui/sync_cfg.cpp
CPP_FILES+=ui/taskbar.cpp
CPP_FILES+=ui/tray_icon.cpp
CPP_FILES+=ui/triple_splitter.cpp
CPP_FILES+=ui/version_check.cpp
CPP_FILES+=../../zen/recycler.cpp
CPP_FILES+=../../zen/file_access.cpp
CPP_FILES+=../../zen/file_io.cpp
CPP_FILES+=../../zen/file_traverser.cpp
CPP_FILES+=../../zen/http.cpp
CPP_FILES+=../../zen/zstring.cpp
CPP_FILES+=../../zen/format_unit.cpp
CPP_FILES+=../../zen/open_ssl.cpp
CPP_FILES+=../../zen/process_priority.cpp
CPP_FILES+=../../zen/shutdown.cpp
CPP_FILES+=../../zen/thread.cpp
CPP_FILES+=../../zen/zlib_wrap.cpp
CPP_FILES+=../../wx+/file_drop.cpp
CPP_FILES+=../../wx+/grid.cpp
CPP_FILES+=../../wx+/image_tools.cpp
CPP_FILES+=../../wx+/graph.cpp
CPP_FILES+=../../wx+/tooltip.cpp
CPP_FILES+=../../wx+/image_resources.cpp
CPP_FILES+=../../wx+/popup_dlg.cpp
CPP_FILES+=../../wx+/popup_dlg_generated.cpp
CPP_FILES+=../../xBRZ/src/xbrz.cpp

TMP_PATH = /tmp/$(EXENAME)_Make

OBJ_FILES = $(CPP_FILES:%=$(TMP_PATH)/ffs/src/%.o)

all: ../Build/Bin/$(EXENAME)

../Build/Bin/$(EXENAME): $(OBJ_FILES)
	mkdir -p $(dir $@)
	g++ -o $@ $^ $(LINKFLAGS)

$(TMP_PATH)/ffs/src/%.o : %
	mkdir -p $(dir $@)
	g++ $(CXXFLAGS) -c $< -o $@

clean:
	rm -rf $(TMP_PATH)
	rm -f ../Build/Bin/$(EXENAME)

=== FreeFileSync/Source/RealTimeSync/Makefile ===
EXENAME = RealTimeSync_$(shell arch)

CXXFLAGS = -std=c++2a -pipe -DWXINTL_NO_GETTEXT_MACRO -I../../.. -I../../../zenXml -include "zen/i18n.h" -include "zen/warn_static.h" \
           -Wall -Wfatal-errors -Wmissing-include-dirs -Wswitch-enum -Wcast-align -Wshadow -Wnon-virtual-dtor \
           -O3 -DNDEBUG `wx-config --cxxflags --debug=no` -pthread

LINKFLAGS = -s -no-pie `wx-config --libs std, aui --debug=no` -pthread

#Gtk - support "no button border"
CXXFLAGS  += `pkg-config --cflags gtk+-2.0`
LINKFLAGS += `pkg-config --libs   gtk+-2.0`
#treat as system headers so that warnings are hidden:
CXXFLAGS  += -isystem/usr/include/gtk-2.0

CPP_FILES=
CPP_FILES+=application.cpp
CPP_FILES+=config.cpp
CPP_FILES+=gui_generated.cpp
CPP_FILES+=main_dlg.cpp
CPP_FILES+=tray_menu.cpp
CPP_FILES+=monitor.cpp
CPP_FILES+=folder_selector2.cpp
CPP_FILES+=../afs/abstract.cpp
CPP_FILES+=../base/icon_buffer.cpp
CPP_FILES+=../base/icon_loader.cpp
CPP_FILES+=../base/localization.cpp
CPP_FILES+=../base/resolve_path.cpp
CPP_FILES+=../base/ffs_paths.cpp
CPP_FILES+=../../../zen/dir_watcher.cpp
CPP_FILES+=../../../zen/file_access.cpp
CPP_FILES+=../../../zen/file_io.cpp
CPP_FILES+=../../../zen/file_traverser.cpp
CPP_FILES+=../../../zen/format_unit.cpp
CPP_FILES+=../../../zen/shutdown.cpp
CPP_FILES+=../../../zen/thread.cpp
CPP_FILES+=../../../zen/zstring.cpp
CPP_FILES+=../../../wx+/file_drop.cpp
CPP_FILES+=../../../wx+/image_tools.cpp
CPP_FILES+=../../../wx+/image_resources.cpp
CPP_FILES+=../../../wx+/popup_dlg.cpp
CPP_FILES+=../../../wx+/popup_dlg_generated.cpp
CPP_FILES+=../../../xBRZ/src/xbrz.cpp

TMP_PATH = /tmp/$(EXENAME)_Make

OBJ_FILES = $(CPP_FILES:%=$(TMP_PATH)/ffs/src/rts/%.o)

all: ../../Build/Bin/$(EXENAME)

../../Build/Bin/$(EXENAME): $(OBJ_FILES)
	mkdir -p $(dir $@)
	g++ -o $@ $^ $(LINKFLAGS)

$(TMP_PATH)/ffs/src/rts/%.o : %
	mkdir -p $(dir $@)
	g++ $(CXXFLAGS) -c $< -o $@

clean:
	rm -rf $(TMP_PATH)
	rm -f ../../Build/Bin/$(EXENAME)

=== debian/changelog ===
freefilesync (10.14-2~mx19+1) mx; urgency=medium

  * Rebuild for MX 19.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 20 Jul 2019 15:37:24 -0700

freefilesync (10.14-2+devuan) manual; urgency=low

  * Completely disable the update-check

 -- B Stack <bgstack15@gmail.com>  Tue, 16 Jul 2019 12:56:46 -0400

freefilesync (10.14-1+devuan) manual; urgency=low

  * Warn if versioning folder paths differ only in case
  * Fixed empty HTTP response during update check (macOS/Linux)
  * Warn if Donation Edition is active on unexpected number of machines
  * Use subdomain for application update checks
  * Consider cache control for HTTP GET requests
  * Access all web endpoints over TLS
  * Fixed character encoding issue in update reminder (macOS/Linux)

 -- B Stack <bgstack15@gmail.com>  Mon, 15 Jul 2019 15:24:12 -0400

freefilesync (10.13-1+devuan) manual; urgency=low

  * Allow to rename configurations via context menu
  * Work around hang on SMB network with broken FileFullDirectoryInformation
  * Work around SMB share returning empty item name
  * Detect and preempt keyman64.dll crash on exit
  * Manage notification sounds via global options dialog
  * Support 32-bit Debian Jessie and later releases
  * Work around silent failure to case-only rename on FAT drives (Windows 10)
  * Simplified installation folder structure
  * Update main grid scrollbars when resizing columns on other side
  * Preserve input focus when clicking on grid column label
  * Buffer result of process path normalization
  * Mirror middle grid icons for RTL layout (Linux)
  * Force LTR layout until wxWidgets supports RTL (macOS)
  * Fixed pair scrolling mismatch when grid height is exceeded by one row
  * Fixed startup failure due to missing /etc/machine-id (Linux)

 -- B Stack <bgstack15@gmail.com>  Sat, 15 Jun 2019 10:40:49 -0400

freefilesync (10.12-1+devuan) manual; urgency=low

  * Show sync start time and date in progress dialog title
  * Added duration of comparison to log
  * Show all total times in full HH:MM:SS format
  * Added sync start time to log file header
  * Add Windows Defender exclusions to fix CURLE_OPERATION_TIMEDOUT
  * New RealTimeSync option to hide console window
  * Support launching through symlink (Windows)
  * Dropped support for Windows XP, Server 2003, and Vista
  * Reduced installation size by 25%

 -- B Stack <bgstack15@gmail.com>  Sun, 13 May 2019 21:51:30 -0500

freefilesync (10.11-1+devuan) manual; urgency=low

  * Last FreeFileSync version supporting Windows XP and Vista
  * Fixed crash on multi-monitor set up
  * Fixed dialogs not showing after opening UAC prompt
  * Support launching through symlink (Linux)
  * Added example desktop starter files (Linux)
  * Fixed misleading error when determining file permissions support
  * Updated wxWidgets, libcurl, libssh2, VS, GCC, Xcode

 -- B Stack <bgstack15@gmail.com>  Fri, 12 Apr 2019 13:30:42 -0500

freefilesync (10.10-1devuan) manual; urgency=low

  * New option: synchronize selection
  * Dynamically disable unsuitable context menu options
  * Support MTP devices without move command
  * Fall back to copy/delete when implicitly moving to different device (e.g. symlink)
  * Fixed incorrect statistics after parallel move
  * Fixed menu button not triggering context menu
  * Fixed crash on focus change while message popup is dismissed
  * Fixed crash when trying to shrink empty image
  * Fixed invisible dialogs when monitor is turned off in multi-monitor setup
  * Work around GetFileInformationByHandle error code 58 on WD My Cloud EX
  * Changing deletion handling now correctly triggers updated config
  * Support root-relative FTP file paths (e.g. FreeNAS)
  * Move and rename MTP items as a transaction
  * Exclude AppleDouble files (._) via default filter on macOS
  * Support home path for FTP folder picker
  * Use server default permissions when creating SFTP folder
  * Use native OpenSSL AES-CTR rather than libssh2 fallback
  * Added context information for cloud connection errors
  * Updated translation files

freefilesync (10.9-1devuan) manual; urgency=low

  * Added FTP, SFTP, Google Drive support for Linux
  * FreeFileSync Donation Edition available for Linux
  * Compress file stream during Google Drive upload
  * Navigate beyond access-denied parents in SFTP folder picker
  * Fixed unexpected stream size error during FTP upload
  * Support native recursive deletion for Google Drive
  * Support native recursive deletion for MTP
  * Deterministically save Google Drive state during exit
  * Work around missing TMPDIR variable (Linux)
  * Support SFTP servers returning large package sizes during folder reading
  * Start with home path when using SFTP folder picker
  * Aggregate device authentication prompts during comparison
  * Clean up temp file after unexpected stream size error
  * Work around FTP servers not supporting HELP command
  * Support parsing path by volume name when volume is missing
  * Parse and streamline Google Drive error messages
  * Load next item after deleting from config history
  * Avoid redundant Google Drive syncs after file/folder creation
  * Avoid duplicate MTP item creation by multiple threads

 -- B Stack <bgstack15@gmail.com>  Thu, 14 Feb 2019 10:46:09 -0500

freefilesync (10.8-1devuan) manual; urgency=low

  * Initial release.

 -- B Stack <bgstack15@gmail.com>  Tue, 29 Jan 2019 09:20:41 -0500

=== debian/control ===
Source: freefilesync
Section: utils
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: B Stack <bgstack15@gmail.com>
Build-Depends: debhelper (>=11~),
               autotools-dev,
               imagemagick,
               libcurl4-openssl-dev,
               libgtk2.0-dev,
               libssh2-1-dev,
               libssl-dev,
               libwxgtk3.0-dev,
               wx3.0-headers,
               unzip
Standards-Version: 4.1.4
Homepage: https://freefilesync.org/

Package: freefilesync
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
         xdg-utils
Description: 
 FreeFileSync is a folder comparison and synchronization software that
 creates and manages backup copies of all your important files. Instead
 of copying every file every time, FreeFileSync determines the
 differences between a source and a target folder and transfers only the
 minimum amount of data needed. FreeFileSync is Open Source software,
 available for Windows, Linux and macOS.

=== debian/rules ===
#!/usr/bin/make -f
# You must remove unused comment lines for the released package.
#export DH_VERBOSE = 1
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export appname=freefilesync
export pkgname=FreeFileSync
export prog2name=RealTimeSync
export debuilddir="debian"
export debuildappdir="${pkgname}"
export buildroot="${debuilddir}/${appname}"
export _datadir="/usr/share"
export _bindir="/usr/bin"

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --sourcedirectory=FreeFileSync/Source
	dh_auto_clean --sourcedirectory=FreeFileSync/Source/RealTimeSync
	rm -f ${pkgname}.png ${prog2name}.png file_batch.png

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --sourcedirectory=FreeFileSync/Source
	dh_auto_build --sourcedirectory=FreeFileSync/Source/RealTimeSync

override_dh_auto_install:
	# removed by upstream!
	#dh_auto_install
	#dh_auto_install --sourcedirectory=FreeFileSync/Source
	#dh_auto_install --sourcedirectory=FreeFileSync/Source/RealTimeSync
	install -d ${buildroot}${_bindir} ${buildroot}${_datadir}/${appname}
	install -Dm 0755 -t ${buildroot}${_bindir} ${debuildappdir}/Build/Bin/${pkgname} ${debuildappdir}/Build/Bin/${prog2name}
	cp -pr ${debuildappdir}/Build/Resources/* ${buildroot}${_datadir}/${appname}

	# make extra sure the files are not marked with executable
	find ${debuildappdir}/share/${pkgname} -type f -exec chmod -x '{}' \; || :

	# desktop files
	# handled by dpkg already

	# application start script
	# none

	# man pages
	# none

	# mimetypes
	# handled by dpkg already

	# icons
	unzip ${pkgname}/Build/Resources/Icons.zip file_batch.png file_sync.png
	mkdir -p ${buildroot}${_datadir}/icons/hicolor/16x16/apps
	mkdir -p ${buildroot}${_datadir}/icons/hicolor/32x32/apps
	mkdir -p ${buildroot}${_datadir}/icons/hicolor/48x48/apps
	mkdir -p ${buildroot}${_datadir}/icons/hicolor/64x64/apps
	mkdir -p ${buildroot}${_datadir}/icons/hicolor/128x128/apps
	mkdir -p ${buildroot}${_datadir}/icons/hicolor/16x16/mimetypes
	mkdir -p ${buildroot}${_datadir}/icons/hicolor/32x32/mimetypes
	mkdir -p ${buildroot}${_datadir}/icons/hicolor/48x48/mimetypes
	mkdir -p ${buildroot}${_datadir}/icons/hicolor/64x64/mimetypes
	mkdir -p ${buildroot}${_datadir}/icons/hicolor/128x128/mimetypes
	# apps
	convert ${pkgname}/Build/Resources/${pkgname}.png -filter Lanczos -resize 16x16 ${buildroot}${_datadir}/icons/hicolor/16x16/apps/${pkgname}.png
	convert ${pkgname}/Build/Resources/${pkgname}.png -filter Lanczos -resize 32x32 ${buildroot}${_datadir}/icons/hicolor/32x32/apps/${pkgname}.png
	convert ${pkgname}/Build/Resources/${pkgname}.png -filter Lanczos -resize 48x48 ${buildroot}${_datadir}/icons/hicolor/48x48/apps/${pkgname}.png
	convert ${pkgname}/Build/Resources/${pkgname}.png -filter Lanczos -resize 64x64 ${buildroot}${_datadir}/icons/hicolor/64x64/apps/${pkgname}.png
	convert ${pkgname}/Build/Resources/${pkgname}.png -filter Lanczos -resize 128x128 ${buildroot}${_datadir}/icons/hicolor/128x128/apps/${pkgname}.png
	convert ${pkgname}/Build/Resources/${prog2name}.png -filter Lanczos -resize 16x16 ${buildroot}${_datadir}/icons/hicolor/16x16/apps/${prog2name}.png
	convert ${pkgname}/Build/Resources/${prog2name}.png -filter Lanczos -resize 32x32 ${buildroot}${_datadir}/icons/hicolor/32x32/apps/${prog2name}.png
	convert ${pkgname}/Build/Resources/${prog2name}.png -filter Lanczos -resize 48x48 ${buildroot}${_datadir}/icons/hicolor/48x48/apps/${prog2name}.png
	convert ${pkgname}/Build/Resources/${prog2name}.png -filter Lanczos -resize 64x64 ${buildroot}${_datadir}/icons/hicolor/64x64/apps/${prog2name}.png
	convert ${pkgname}/Build/Resources/${prog2name}.png -filter Lanczos -resize 128x128 ${buildroot}${_datadir}/icons/hicolor/128x128/apps/${prog2name}.png
	# mimetypes
	convert file_batch.png -filter Lanczos -resize 16x16 ${buildroot}${_datadir}/icons/hicolor/16x16/mimetypes/application-x-freefilesync-batch.png
	convert file_batch.png -filter Lanczos -resize 32x32 ${buildroot}${_datadir}/icons/hicolor/32x32/mimetypes/application-x-freefilesync-batch.png
	convert file_batch.png -filter Lanczos -resize 48x48 ${buildroot}${_datadir}/icons/hicolor/48x48/mimetypes/application-x-freefilesync-batch.png
	convert file_batch.png -filter Lanczos -resize 64x64 ${buildroot}${_datadir}/icons/hicolor/64x64/mimetypes/application-x-freefilesync-batch.png
	convert file_batch.png -filter Lanczos -resize 128x128 ${buildroot}${_datadir}/icons/hicolor/128x128/mimetypes/application-x-freefilesync-batch.png
	convert file_sync.png -filter Lanczos -resize 16x16 ${buildroot}${_datadir}/icons/hicolor/16x16/mimetypes/application-x-freefilesync-ffs.png
	convert file_sync.png -filter Lanczos -resize 32x32 ${buildroot}${_datadir}/icons/hicolor/32x32/mimetypes/application-x-freefilesync-ffs.png
	convert file_sync.png -filter Lanczos -resize 48x48 ${buildroot}${_datadir}/icons/hicolor/48x48/mimetypes/application-x-freefilesync-ffs.png
	convert file_sync.png -filter Lanczos -resize 64x64 ${buildroot}${_datadir}/icons/hicolor/64x64/mimetypes/application-x-freefilesync-ffs.png
	convert file_sync.png -filter Lanczos -resize 128x128 ${buildroot}${_datadir}/icons/hicolor/128x128/mimetypes/application-x-freefilesync-ffs.png
	convert ${pkgname}/Build/Resources/${prog2name}.png -filter Lanczos -resize 16x16 ${buildroot}${_datadir}/icons/hicolor/16x16/mimetypes/application-x-freefilesync-real.png
	convert ${pkgname}/Build/Resources/${prog2name}.png -filter Lanczos -resize 32x32 ${buildroot}${_datadir}/icons/hicolor/32x32/mimetypes/application-x-freefilesync-real.png
	convert ${pkgname}/Build/Resources/${prog2name}.png -filter Lanczos -resize 48x48 ${buildroot}${_datadir}/icons/hicolor/48x48/mimetypes/application-x-freefilesync-real.png
	convert ${pkgname}/Build/Resources/${prog2name}.png -filter Lanczos -resize 64x64 ${buildroot}${_datadir}/icons/hicolor/64x64/mimetypes/application-x-freefilesync-real.png
	convert ${pkgname}/Build/Resources/${prog2name}.png -filter Lanczos -resize 128x128 ${buildroot}${_datadir}/icons/hicolor/128x128/mimetypes/application-x-freefilesync-real.png

	rm -f file_batch.png file_sync.png

=== debian/watch ===
# You must remove unused comment lines for the released package.
version=3
https://gitlab.com/opensource-tracking/FreeFileSync/-/archive/([\d\.]+)/FreeFileSync-([\d\.]+).tar.gz

## freefilesync 11.10

=== Source/Makefile ===
exeName = FreeFileSync_$(shell arch)

cxxFlags = -std=c++2a -pipe -DWXINTL_NO_GETTEXT_MACRO -I../.. -I../../zenXml -include "zen/i18n.h" -include "zen/warn_static.h" \
           -Wall -Wfatal-errors -Wmissing-include-dirs -Wswitch-enum -Wcast-align -Wnon-virtual-dtor -Wno-unused-function -Wshadow -Wno-maybe-uninitialized \
           -O3 -DNDEBUG `wx-config --cxxflags --debug=no` -pthread

linkFlags = -s -no-pie `wx-config --libs std, aui, richtext --debug=no` -pthread


cxxFlags  += `pkg-config --cflags openssl`
linkFlags += `pkg-config --libs   openssl`

cxxFlags  += `pkg-config --cflags libcurl`
linkFlags += `pkg-config --libs   libcurl`

cxxFlags  += `pkg-config --cflags libssh2`
linkFlags += `pkg-config --libs   libssh2`

cxxFlags  += `pkg-config --cflags gtk+-2.0`
#treat as system headers so that warnings are hidden:
cxxFlags  += -isystem/usr/include/gtk-2.0

#support for SELinux (optional)
SELINUX_EXISTING=$(shell pkg-config --exists libselinux && echo YES)
ifeq ($(SELINUX_EXISTING),YES)
cxxFlags  += `pkg-config --cflags libselinux` -DHAVE_SELINUX
linkFlags += `pkg-config --libs libselinux`
endif

cppFiles=
cppFiles+=application.cpp
cppFiles+=base_tools.cpp
cppFiles+=config.cpp
cppFiles+=ffs_paths.cpp
cppFiles+=icon_buffer.cpp
cppFiles+=localization.cpp
cppFiles+=log_file.cpp
cppFiles+=perf_check.cpp
cppFiles+=status_handler.cpp
cppFiles+=base/algorithm.cpp
cppFiles+=base/binary.cpp
cppFiles+=base/comparison.cpp
cppFiles+=base/db_file.cpp
cppFiles+=base/dir_lock.cpp
cppFiles+=base/file_hierarchy.cpp
cppFiles+=base/icon_loader.cpp
cppFiles+=base/parallel_scan.cpp
cppFiles+=base/path_filter.cpp
cppFiles+=base/structures.cpp
cppFiles+=base/synchronization.cpp
cppFiles+=base/versioning.cpp
cppFiles+=afs/abstract.cpp
cppFiles+=afs/concrete.cpp
cppFiles+=afs/ftp.cpp
cppFiles+=afs/gdrive.cpp
cppFiles+=afs/init_curl_libssh2.cpp
cppFiles+=afs/native.cpp
cppFiles+=afs/sftp.cpp
cppFiles+=ui/batch_config.cpp
cppFiles+=ui/abstract_folder_picker.cpp
cppFiles+=ui/batch_status_handler.cpp
cppFiles+=ui/cfg_grid.cpp
cppFiles+=ui/command_box.cpp
cppFiles+=ui/folder_history_box.cpp
cppFiles+=ui/folder_selector.cpp
cppFiles+=ui/file_grid.cpp
cppFiles+=ui/file_view.cpp
cppFiles+=ui/log_panel.cpp
cppFiles+=ui/tree_grid.cpp
cppFiles+=ui/gui_generated.cpp
cppFiles+=ui/gui_status_handler.cpp
cppFiles+=ui/main_dlg.cpp
cppFiles+=ui/progress_indicator.cpp
cppFiles+=ui/search_grid.cpp
cppFiles+=ui/small_dlgs.cpp
cppFiles+=ui/sync_cfg.cpp
cppFiles+=ui/tray_icon.cpp
cppFiles+=ui/triple_splitter.cpp
cppFiles+=ui/version_check.cpp
cppFiles+=../../libcurl/rest.cpp
cppFiles+=../../zen/file_access.cpp
cppFiles+=../../zen/file_io.cpp
cppFiles+=../../zen/file_traverser.cpp
cppFiles+=../../zen/http.cpp
cppFiles+=../../zen/zstring.cpp
cppFiles+=../../zen/format_unit.cpp
cppFiles+=../../zen/legacy_compiler.cpp
cppFiles+=../../zen/open_ssl.cpp
cppFiles+=../../zen/process_priority.cpp
cppFiles+=../../zen/recycler.cpp
cppFiles+=../../zen/resolve_path.cpp
cppFiles+=../../zen/process_exec.cpp
cppFiles+=../../zen/shutdown.cpp
cppFiles+=../../zen/sys_error.cpp
cppFiles+=../../zen/sys_info.cpp
cppFiles+=../../zen/sys_version.cpp
cppFiles+=../../zen/thread.cpp
cppFiles+=../../zen/zlib_wrap.cpp
cppFiles+=../../wx+/file_drop.cpp
cppFiles+=../../wx+/grid.cpp
cppFiles+=../../wx+/image_tools.cpp
cppFiles+=../../wx+/graph.cpp
cppFiles+=../../wx+/taskbar.cpp
cppFiles+=../../wx+/tooltip.cpp
cppFiles+=../../wx+/image_resources.cpp
cppFiles+=../../wx+/popup_dlg.cpp
cppFiles+=../../wx+/popup_dlg_generated.cpp
cppFiles+=../../xBRZ/src/xbrz.cpp

tmpPath = $(shell dirname "$(shell mktemp -u)")/$(exeName)_Make

objFiles = $(cppFiles:%=$(tmpPath)/ffs/src/%.o)

all: ../Build/Bin/$(exeName)

../Build/Bin/$(exeName): $(objFiles)
	mkdir -p $(dir $@)
	g++ -o $@ $^ $(linkFlags)

$(tmpPath)/ffs/src/%.o : %
	mkdir -p $(dir $@)
	g++ $(cxxFlags) -c $< -o $@

clean:
	rm -rf $(tmpPath)
	rm -f ../Build/Bin/$(exeName)

=== Source/RealTimeSync/Makefile ===
exeName = RealTimeSync_$(shell arch)

cxxFlags = -std=c++2a -pipe -DWXINTL_NO_GETTEXT_MACRO -I../../.. -I../../../zenXml -include "zen/i18n.h" -include "zen/warn_static.h" \
           -Wall -Wfatal-errors -Wmissing-include-dirs -Wswitch-enum -Wcast-align -Wnon-virtual-dtor -Wno-unused-function -Wshadow -Wno-maybe-uninitialized \
           -O3 -DNDEBUG `wx-config --cxxflags --debug=no` -pthread

linkFlags = -s -no-pie `wx-config --libs std, aui, richtext --debug=no` -pthread

#Gtk - support "no button border"
cxxFlags  += `pkg-config --cflags gtk+-2.0`
#treat as system headers so that warnings are hidden:
cxxFlags  += -isystem/usr/include/gtk-2.0

cppFiles=
cppFiles+=application.cpp
cppFiles+=config.cpp
cppFiles+=gui_generated.cpp
cppFiles+=main_dlg.cpp
cppFiles+=tray_menu.cpp
cppFiles+=monitor.cpp
cppFiles+=folder_selector2.cpp
cppFiles+=../afs/abstract.cpp
cppFiles+=../base/icon_loader.cpp
cppFiles+=../ffs_paths.cpp
cppFiles+=../icon_buffer.cpp
cppFiles+=../localization.cpp
cppFiles+=../../../wx+/file_drop.cpp
cppFiles+=../../../wx+/image_tools.cpp
cppFiles+=../../../wx+/image_resources.cpp
cppFiles+=../../../wx+/popup_dlg.cpp
cppFiles+=../../../wx+/popup_dlg_generated.cpp
cppFiles+=../../../wx+/taskbar.cpp
cppFiles+=../../../xBRZ/src/xbrz.cpp
cppFiles+=../../../zen/dir_watcher.cpp
cppFiles+=../../../zen/file_access.cpp
cppFiles+=../../../zen/file_io.cpp
cppFiles+=../../../zen/file_traverser.cpp
cppFiles+=../../../zen/format_unit.cpp
cppFiles+=../../../zen/legacy_compiler.cpp
cppFiles+=../../../zen/resolve_path.cpp
cppFiles+=../../../zen/process_exec.cpp
cppFiles+=../../../zen/shutdown.cpp
cppFiles+=../../../zen/sys_error.cpp
cppFiles+=../../../zen/sys_info.cpp
cppFiles+=../../../zen/sys_version.cpp
cppFiles+=../../../zen/thread.cpp
cppFiles+=../../../zen/zstring.cpp

tmpPath = $(shell dirname "$(shell mktemp -u)")/$(exeName)_Make

objFiles = $(cppFiles:%=$(tmpPath)/ffs/src/rts/%.o)

all: ../../Build/Bin/$(exeName)

../../Build/Bin/$(exeName): $(objFiles)
	mkdir -p $(dir $@)
	g++ -o $@ $^ $(linkFlags)

$(tmpPath)/ffs/src/rts/%.o : %
	mkdir -p $(dir $@)
	g++ $(cxxFlags) -c $< -o $@

clean:
	rm -rf $(tmpPath)
	rm -f ../../Build/Bin/$(exeName)

=== debian/changelog ===
freefilesync (11.10-1~mx21+1) mx; urgency=medium

  * Rebuild for MX 21.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 26 May 2021 15:08:54 -0700

freefilesync (11.10-1~xtradeb1) focal; urgency=medium

  * New upstream release.
   - Fixed comparison results cleared after mouse-scrolling the first folder
     pair
   - Stricter base folder existence checks before synchronization
   - Disable all file pairs when base folder status cannot be determined
   - Fixed sync statistics if base folder existence test failed
   - Work around glitch in grid scrollbar size calculation
   - Fixed folder drag and drop failing after locale conflict (macOS)
   - Fixed incorrect mime permissions after installation (Linux)
   - Stricter server response validation during update check
   - Fixed incomplete item path in log if source item is missing
   - Fixed installation error when running ConEmu
   - Support starting FreeFileSync as root login user (Linux)

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Sat, 15 May 2021 09:39:18 +0000

freefilesync (11.9-1~xtradeb1) focal; urgency=medium

  * New upstream release.
   - Save different layouts depending on screen resolution
   - Fixed large file icon scaling quality (Windows)
   - Fixed broken default filter excluding DocumentRevisions (macOS)
   - Don't immediately exit terminal when installer error is showing (Linux)
   - Explicitly set file permissions when installing missing directories (Linux)
   - Support installation using noexec temp directory (Linux)
   - Don't fail installation if root is the only user (Linux)
   - Added automatic socket close on execv (Linux, macOS)
   - Fixed Google Drive login hanging after authentication (Linux)
   - Correctly generate and parse Windows epoch time (Windows, macOS)

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Sat, 03 Apr 2021 09:22:31 +0000

freefilesync (11.8-1~xtradeb1) focal; urgency=medium

  * New upstream release: 11.8.
   - Fixed unexpected file size error when copying to (S)FTP, and Google Drive
  * New upstream release: 11.7.
   - Detect moved files on FTP (if server supports MLSD)
   - Allow installation only for current or all users (Linux)
   - Added application uninstaller: uninstall.sh (Linux)
   - Use login user config path when running as root (macOS, Linux)
   - Fixed detection of moved files with unstable device IDs (macOS, Linux)
   - Strict checking for duplicate file IDs
   - Avoid EINVAL invalid argument error when using F_PREALLOCATE (macOS)
   - Restore input focus after closing log panel
   - Double-click on file to open Google Drive web interface
   - Fixed alpha channel image scaling glitch
   - Fixed recycle bin folders being created recursively
   - Fixed thread count status message fluctuation
   - Don't quit FreeFileSync when parent terminal is closed (SIGHUP)
   - Fixed "Operation not supported" error when setting directory locks
   - Show folder picker despite SHCreateItemFromParsingName() error
   - Work around "OLE received a packet with an invalid header" error

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Sat, 13 Mar 2021 14:07:03 +0000

freefilesync (11.6-1~xtradeb2) focal; urgency=medium

  * Patch to ensure we use g++-10

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Sun, 07 Feb 2021 18:57:04 +0000

freefilesync (11.6-1~xtradeb1) focal; urgency=medium

  * New upstream release.

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Tue, 02 Feb 2021 20:09:26 +0000

freefilesync (9.2-1~getdeb1) zesty; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Tue, 04 Jul 2017 15:09:18 +0200

=== debian/control ===
Source: freefilesync
Section: utils
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Jhonny Oliveira <jhonny.oliveira@gmail.com>
Build-Depends: debhelper-compat (= 12),
               g++-10,
               imagemagick,
               intltool,
               libcurl4-openssl-dev,
               libgtk-3-dev,
               libssh2-1-dev,
               libssl-dev,
               libwxgtk3.0-gtk3-dev,
               libzenxml2.0-dev (>= 2.4),
               wx3.0-headers
Standards-Version: 4.5.0
Homepage: http://freefilesync.sourceforge.net/

Package: freefilesync
Architecture: any
Depends: xdg-utils, ${misc:Depends}, ${shlibs:Depends}
Description: folder comparison and synchronization tool
 This is a folder comparison and synchronization tool. It is optimized
 for highest performance and usability without restricted or overloaded
 UI interfaces.
 .
 Features:
  * Multiple folder pairs
  * Batch capability
  * Binary comparison
  * Handle conflicts and propagate deletions
  * Optimized performance
  * Transactional file copy
  * ...

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

export DESTRESDIR=$(CURDIR)/debian/tmp
export IMGDIR=$(DESTRESDIR)/usr/share/icons/hicolor

%:
	dh $@ --sourcedirectory=FreeFileSync/Source

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --sourcedirectory=FreeFileSync/Source/RealTimeSync
	rm -Rfv FreeFileSync/Build/Bin

override_dh_auto_build:
	dh_auto_build -- exeName=FreeFileSync
	dh_auto_build --sourcedirectory=FreeFileSync/Source/RealTimeSync -- exeName=RealTimeSync

override_dh_auto_test:
	dh_auto_test
	dh_auto_test --sourcedirectory=FreeFileSync/Source/RealTimeSync

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --sourcedirectory=FreeFileSync/Source/RealTimeSync
	# Create package ico directories
	# Extract program icons:FreeFileSync, RealTimeSync, FreeFileSync Batch
	for SIZE in 256 128 48 32 16; do \
	    mkdir -p $(IMGDIR)/$${SIZE}x$${SIZE}/apps; \
	    mkdir -p $(IMGDIR)/$${SIZE}x$${SIZE}/mimetypes; \
	    convert debian/FreeFileSync.ico[0] -resize $${SIZE}x$${SIZE} $(IMGDIR)/$${SIZE}x$${SIZE}/apps/freefilesync.png; \
	    cd $(IMGDIR)/$${SIZE}x$${SIZE}/mimetypes/; ln -s ../apps/freefilesync.png application-x-freefilesync-ffs.png; cd $(CURDIR); \
	    convert debian/RealTimeSync.ico[0] -resize $${SIZE}x$${SIZE} $(IMGDIR)/$${SIZE}x$${SIZE}/apps/realtimesync.png; \
	    cd $(IMGDIR)/$${SIZE}x$${SIZE}/mimetypes/; ln -s ../apps/realtimesync.png application-x-freefilesync-real.png; cd $(CURDIR); \
	    convert debian/Batch.ico[0] -resize $${SIZE}x$${SIZE} $(IMGDIR)/$${SIZE}x$${SIZE}/apps/application-x-freefilesync-batch.png; \
	done
	# Build desktop files
	mkdir -p $(DESTRESDIR)/usr/share/applications
	intltool-merge debian/po/freefilesync -d -u -c debian/po/.intltool-merge-cache debian/freefilesync.desktop.in $(DESTRESDIR)/usr/share/applications/freefilesync.desktop
	intltool-merge debian/po/freefilesync -d -u -c debian/po/.intltool-merge-cache debian/realtimesync.desktop.in $(DESTRESDIR)/usr/share/applications/realtimesync.desktop

override_dh_installchangelogs:
	dh_installchangelogs Changelog.txt

override_dh_strip:
	dh_strip --no-automatic-dbgsym

=== debian/watch ===
version=4	
http://www.freefilesync.org/download.php \
    (?:.*/)?FreeFileSync_([\d\.]+)_(?:s|S)ource\.zip

## freefilesync 11.14

=== debian/changelog ===
freefilesync (11.14-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 22 Nov 2021 14:39:03 -0800

freefilesync (11.14-1+devuan) obs; urgency=medium

  * Upstream updates
    - Authenticate (S)FTP connections using OpenSSL 3.0
    - Fixed E_NOINTERFACE error after synchronization
    - Preempt crashes due to Nahimic Sonic Studio 3
    - Hide main window when minimizing progress window (macOS)
    - Avoid second dock icon when minimizing progress window (macOS)
  * [bgstack15]
    - add ffs_openssl.patch to revert to openssl 1.1.1l dependency
    - add ffs_icon_loader.patch for libglib2.0-0 issue

 -- B. Stack <bgstack15@gmail.com>  Wed, 22 Sep 2021 07:45:04 -0400

freefilesync (11.13-1+devuan) obs; urgency=medium

  * Upstream updates
    - Manage default filter settings via GUI
    - Support arbitrary location for local app installation (macOS)
    - Fixed ERROR_FILE_NOT_FOUND masking real file access error (Windows)
    - Copy full file paths to clipboard (CTRL + C)
    - Preserve clipboard contents until after program exit
    - Always enable external command if independent of file items
    - Support installation without Rosetta2 on ARM64 (macOS)

 -- B. Stack <bgstack15@gmail.com>  Tue, 17 Aug 2021 19:25:55 -0400

freefilesync (11.12-1+devuan) obs; urgency=medium

  * Upstream updates
    - Native ARM64 build to support Apple silicon M1 (macOS)
    - Non-intrusive mouse highlight on file grid
    - Fixed /lib/i386-linux-gnu/libgcc_s.so.1: version `GCC_7.0.0' not found
    - Parse file times with no limits on time span (e.g. year 0, year 3000)
    - Show folder icon during drag and drop (Windows)
    - Show user name for (S)FTP display paths
    - Fixed FTP connection lost error with TLS 1.3
    - Present file sizes in powers of 1000 bytes (Linux, macOS)

 -- B. Stack <bgstack15@gmail.com>  Thu, 15 Jul 2021 10:00:37 -0400

freefilesync (11.11-1+devuan) obs; urgency=medium

  * Upstream updates
    - Fixed Shared Drive synchronization with Google Drive
    - Directly open exported file list (.CSV) as temporary file
    - Avoid EIO error for F_PREALLOCATE (macOS)
    - Watch socket using "poll" instead of "select" (Linux, macOS)
    - Fixed user-specific time/date format (Windows)
    - Fixed system_profiler not found error (macOS)

 -- B. Stack <bgstack15@gmail.com>  Sat, 12 Jun 2021 11:54:19 -0400

freefilesync (11.10-1+devuan) obs; urgency=medium

  * Upstream updates
    - Fixed comparison results cleared after mouse-scrolling the first folder pair
    - Stricter base folder existence checks before synchronization
    - Disable all file pairs when base folder status cannot be determined
    - Fixed sync statistics if base folder existence test failed
    - Work around glitch in grid scrollbar size calculation
    - Fixed folder drag and drop failing after locale conflict (macOS)
    - Fixed incorrect mime permissions after installation (Linux)
    - Stricter server response validation during update check
    - Fixed incomplete item path in log if source item is missing
    - Fixed installation error when running ConEmu
    - Support starting FreeFileSync as root login user (Linux)
  * [bgstack15]
    - improve ffs_no_check_updates.patch
    - add ffs_desktop_notifications.patch

 -- B. Stack <bgstack15@gmail.com>  Mon, 10 May 2021 08:16:31 -0400

freefilesync (11.9-1+devuan) obs; urgency=medium

  * Upstream updates
    - Save different layouts depending on screen resolution
    - Fixed large file icon scaling quality (Windows)
    - Fixed broken default filter excluding DocumentRevisions (macOS)
    - Don't immediately exit terminal when installer error is showing
      (Linux)
    - Explicitly set file permissions when installing missing
      directories (Linux)
    - Support installation using noexec temp directory (Linux)
    - Don't fail installation if root is the only user (Linux)
    - Added automatic socket close on execv (Linux, macOS)
    - Fixed Google Drive login hanging after authentication (Linux)
    - Correctly generate and parse Windows epoch time (Windows, macOS)

 -- B. Stack <bgstack15@gmail.com>  Mon, 05 Apr 2021 11:04:34 -0400

freefilesync (11.8-1+devuan) UNRELEASED; urgency=medium

  * Upstream updates
    - Fixed unexpected file size error when copying to (S)FTP, and
      Google Drive

 -- B. Stack <bgstack15@gmail.com>  Wed, 03 Mar 2021 00:00:00 -0500

freefilesync (11.7-1+devuan) obs; urgency=medium

  * Upstream updates
    - Detect moved files on FTP (if server supports MLSD)
    - Allow installation only for current or all user(s) (Linux)
    - Added application uninstaller: uninstall.sh (Linux)
    - Use login user config path when running as root (macOS, Linux)
    - Fixed detection of moved files with unstable device IDs (macOS,
      Linux)
    - Strict checking for duplicate file IDs
    - Avoid EINVAL invalid argument error when using F_PREALLOCATE
      (macOS)
    - Restore input focus after closing log panel
    - Double-click on file to open Google Drive web interface
    - Fixed alpha channel image scaling glitch
    - Fixed recycle bin folders being created recursively
    - Fixed thread count status message fluctuation
    - Don't quit FreeFileSync when parent terminal is closed (SIGHUP)
    - Fixed "Operation not supported" error when setting directory locks
    - Show folder picker despite SHCreateItemFromParsingName() error
    - Work around "OLE received a packet with an invalid header" error
  * [bgstack15] By now, none of the old devuan-archive packages are
    necessary to build FreeFileSync: Only packages from mainline
    unstable release are required!

 -- B. Stack <bgstack15@gmail.com>  Tue, 02 Mar 2021 17:30:16 -0500

freefilesync (11.6-1+devuan) obs; urgency=medium

  * Upstream updates
    - New FreeFileSync installer (Linux)
    - New auto-updater for the Donation Edition (macOS, Linux)
    - Support reading FTP file symlinks


=== debian/control ===
Source: freefilesync
Section: utils
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: B. Stack <bgstack15@gmail.com>
Build-Depends: debhelper (>=12~),
               g++-10,
               imagemagick,
               libbrotli-dev,
               libcurl4-openssl-dev (>=7.68.0),
               libglibmm-2.4-dev,
               libgtk-3-dev,
               libssh2-1-dev,
               libssl-dev,
               libwxgtk3.0-gtk3-dev,
               unzip,
               wx3.0-headers
Standards-Version: 4.1.4
Homepage: https://freefilesync.org/

Package: freefilesync
Architecture: any
Multi-Arch: foreign
Depends: xdg-utils, ${misc:Depends}, ${shlibs:Depends}
Description: cross-platform file sync utility, gpl release
 FreeFileSync is a folder comparison and synchronization software that
 creates and manages backup copies of all your important files. Instead
 of copying every file every time, FreeFileSync determines the
 differences between a source and a target folder and transfers only the
 minimum amount of data needed. FreeFileSync is Open Source software,
 available for Windows, Linux and macOS.

=== debian/rules ===
#!/usr/bin/make -f
# You must remove unused comment lines for the released package.
#export DH_VERBOSE = 1
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export linkFlags="${LDFLAGS} -pie"

export appname=freefilesync
export pkgname=FreeFileSync
export prog2name=RealTimeSync
export debuilddir="debian"
export debuildappdir="${pkgname}"
export buildroot="${debuilddir}/${appname}"
export _datadir="/usr/share"
export _bindir="/usr/bin"

export TMPDIR=/tmp

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --sourcedirectory=FreeFileSync/Source
	dh_auto_clean --sourcedirectory=FreeFileSync/Source/RealTimeSync
	rm -f ${pkgname}.png ${prog2name}.png cfg_batch.png

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --sourcedirectory=FreeFileSync/Source
	dh_auto_build --sourcedirectory=FreeFileSync/Source/RealTimeSync

override_dh_auto_install:
	# removed by upstream!
	#dh_auto_install
	#dh_auto_install --sourcedirectory=FreeFileSync/Source
	#dh_auto_install --sourcedirectory=FreeFileSync/Source/RealTimeSync
	install -d ${buildroot}${_bindir} ${buildroot}${_datadir}/${appname}
	install -Dm 0755 -t ${buildroot}${_bindir} ${debuildappdir}/Build/Bin/${pkgname} ${debuildappdir}/Build/Bin/${prog2name}
	cp -pr ${debuildappdir}/Build/Resources/* ${buildroot}${_datadir}/${appname}

	# make extra sure the files are not marked with executable
	find ${debuildappdir}/share/${pkgname} -type f -exec chmod -x '{}' \; || :

# MX don't need no stinkin' dbgsyms
override_dh_strip:
	dh_strip --no-automatic-dbgsym

	# icons
	unzip ${pkgname}/Build/Resources/Icons.zip cfg_batch.png start_sync.png ${pkgname}.png ${prog2name}.png
	mkdir -p ${buildroot}${_datadir}/icons/hicolor/16x16/apps
	mkdir -p ${buildroot}${_datadir}/icons/hicolor/32x32/apps
	mkdir -p ${buildroot}${_datadir}/icons/hicolor/48x48/apps
	mkdir -p ${buildroot}${_datadir}/icons/hicolor/64x64/apps
	mkdir -p ${buildroot}${_datadir}/icons/hicolor/128x128/apps
	mkdir -p ${buildroot}${_datadir}/icons/hicolor/16x16/mimetypes
	mkdir -p ${buildroot}${_datadir}/icons/hicolor/32x32/mimetypes
	mkdir -p ${buildroot}${_datadir}/icons/hicolor/48x48/mimetypes
	mkdir -p ${buildroot}${_datadir}/icons/hicolor/64x64/mimetypes
	mkdir -p ${buildroot}${_datadir}/icons/hicolor/128x128/mimetypes
	# apps
	convert ${pkgname}.png -filter Lanczos -resize 16x16 ${buildroot}${_datadir}/icons/hicolor/16x16/apps/${pkgname}.png
	convert ${pkgname}.png -filter Lanczos -resize 32x32 ${buildroot}${_datadir}/icons/hicolor/32x32/apps/${pkgname}.png
	convert ${pkgname}.png -filter Lanczos -resize 48x48 ${buildroot}${_datadir}/icons/hicolor/48x48/apps/${pkgname}.png
	convert ${pkgname}.png -filter Lanczos -resize 64x64 ${buildroot}${_datadir}/icons/hicolor/64x64/apps/${pkgname}.png
	convert ${pkgname}.png -filter Lanczos -resize 128x128 ${buildroot}${_datadir}/icons/hicolor/128x128/apps/${pkgname}.png
	convert ${prog2name}.png -filter Lanczos -resize 16x16 ${buildroot}${_datadir}/icons/hicolor/16x16/apps/${prog2name}.png
	convert ${prog2name}.png -filter Lanczos -resize 32x32 ${buildroot}${_datadir}/icons/hicolor/32x32/apps/${prog2name}.png
	convert ${prog2name}.png -filter Lanczos -resize 48x48 ${buildroot}${_datadir}/icons/hicolor/48x48/apps/${prog2name}.png
	convert ${prog2name}.png -filter Lanczos -resize 64x64 ${buildroot}${_datadir}/icons/hicolor/64x64/apps/${prog2name}.png
	convert ${prog2name}.png -filter Lanczos -resize 128x128 ${buildroot}${_datadir}/icons/hicolor/128x128/apps/${prog2name}.png
	# mimetypes
	convert cfg_batch.png -filter Lanczos -resize 16x16 ${buildroot}${_datadir}/icons/hicolor/16x16/mimetypes/application-x-freefilesync-batch.png
	convert cfg_batch.png -filter Lanczos -resize 32x32 ${buildroot}${_datadir}/icons/hicolor/32x32/mimetypes/application-x-freefilesync-batch.png
	convert cfg_batch.png -filter Lanczos -resize 48x48 ${buildroot}${_datadir}/icons/hicolor/48x48/mimetypes/application-x-freefilesync-batch.png
	convert cfg_batch.png -filter Lanczos -resize 64x64 ${buildroot}${_datadir}/icons/hicolor/64x64/mimetypes/application-x-freefilesync-batch.png
	convert cfg_batch.png -filter Lanczos -resize 128x128 ${buildroot}${_datadir}/icons/hicolor/128x128/mimetypes/application-x-freefilesync-batch.png
	convert start_sync.png -filter Lanczos -resize 16x16 ${buildroot}${_datadir}/icons/hicolor/16x16/mimetypes/application-x-freefilesync-ffs.png
	convert start_sync.png -filter Lanczos -resize 32x32 ${buildroot}${_datadir}/icons/hicolor/32x32/mimetypes/application-x-freefilesync-ffs.png
	convert start_sync.png -filter Lanczos -resize 48x48 ${buildroot}${_datadir}/icons/hicolor/48x48/mimetypes/application-x-freefilesync-ffs.png
	convert start_sync.png -filter Lanczos -resize 64x64 ${buildroot}${_datadir}/icons/hicolor/64x64/mimetypes/application-x-freefilesync-ffs.png
	convert start_sync.png -filter Lanczos -resize 128x128 ${buildroot}${_datadir}/icons/hicolor/128x128/mimetypes/application-x-freefilesync-ffs.png
	convert ${prog2name}.png -filter Lanczos -resize 16x16 ${buildroot}${_datadir}/icons/hicolor/16x16/mimetypes/application-x-freefilesync-real.png
	convert ${prog2name}.png -filter Lanczos -resize 32x32 ${buildroot}${_datadir}/icons/hicolor/32x32/mimetypes/application-x-freefilesync-real.png
	convert ${prog2name}.png -filter Lanczos -resize 48x48 ${buildroot}${_datadir}/icons/hicolor/48x48/mimetypes/application-x-freefilesync-real.png
	convert ${prog2name}.png -filter Lanczos -resize 64x64 ${buildroot}${_datadir}/icons/hicolor/64x64/mimetypes/application-x-freefilesync-real.png
	convert ${prog2name}.png -filter Lanczos -resize 128x128 ${buildroot}${_datadir}/icons/hicolor/128x128/mimetypes/application-x-freefilesync-real.png

	rm -f cfg_batch.png start_sync.png

override_dh_fixperms:
	dh_fixperms || :
	chmod 0644 ${buildroot}${_datadir}/${appname}/* || :
